The officially official Devuan Forum!

You are not logged in.

#1 2017-07-05 08:26:15

miroR
Member
From: Zagreb, Croatia
Registered: 2016-11-30
Posts: 217  
Website

Broken packages in Ascii, how to fix? (Beware of Debian Stretch)

Also posted in:
devuan packages explorer
https://lists.dyne.org/lurker/message/2 … cd.en.html

shows my "held broken packages" (Apt said). Also, in the other just finished topic in this Installation section of dev1galaxy.org forums (xserver-xorg fails w/ ATI(AMD) topic, last written this morning or last night), I wrote a little... but I'm not so used at browsing and posting with Lynx... Ah, I remember, it's there I first explained that my Palemoon was broken...

And I remember I posted my /etc/apt/apt.conf there as well... Leaving it below, till I find that link (sooner, or... some day).

I don't hide having tried, because of my Air-Gapped method, to use verifiable sources in Air-Gap, upon not having been able to find a way to get them from Devuan repos (I have in the meantime found the way to manually update my Air-Gapped sufficiently verifiably secure from third parties, there's a whole topic "Air-Gapped Devuan Install, Tentative" on dev1galaxy.org forums), but...

But not having figured at first how that was the way to do it, I updated my Jessie RC2 with Debian stretch, and surely that is in the root of my issues, that is the cause of my issues...

Anyway, I can't do much more than, while I study how to fix my issues, re-post the errors from Devuan ML, here.

It's some two months partly gone to nothing if I dont' fix this somehow...

# ls -l /etc/apt/

total 32
-rw-r--r-- 1 root root  283 2017-07-03 18:15 apt.conf
drwxr-xr-x 2 root root 4096 2017-06-29 19:48 apt.conf.d
-rw-r--r-- 1 root root   99 2017-05-15 23:23 listchanges.conf
-rw-r--r-- 1 root root  212 2017-06-23 22:41 preferences
drwxr-xr-x 2 root root 4096 2017-06-23 22:47 preferences.d
-rw-r--r-- 1 root root  124 2017-06-29 19:10 sources.list
drwxr-xr-x 2 root root 4096 2017-06-30 15:54 sources.list.d
drwxr-xr-x 2 root root 4096 2017-06-21 08:40 trusted.gpg.d

# cat /etc/apt/sources.list

# Devuan repositories
deb http://packages.devuan.org/merged ascii main
deb-src http://packages.devuan.org/merged ascii main

# cat /etc/apt/sources.list.d/

devuan-ascii.list      devuan.list            jessie-backports.list
# cat /etc/apt/sources.list.d/devuan.list
# autogenerated by devuan-baseconf
# decomment following lines to  enable the developers devuan repository
deb http://packages.devuan.org/devuan ascii main
deb-src http://packages.devuan.org/devuan ascii main

# cat /etc/apt/sources.list.d/devuan-ascii.list

# /etc/apt/sources.list.d/devuan-ascii.list
deb     http://auto.mirror.devuan.org/merged ascii main
deb-src http://auto.mirror.devuan.org/merged ascii main
deb     http://auto.mirror.devuan.org/merged ascii-updates main
deb-src http://auto.mirror.devuan.org/merged ascii-updates main
deb     http://auto.mirror.devuan.org/merged ascii-security main
deb-src http://auto.mirror.devuan.org/merged ascii-security main

# cat /etc/apt/sources.list.d/jessie-backports.list

deb http://auto.mirror.devuan.org/merged/ jessie-backports main contrib non-free

#
And to get the shorter output (which I had sent to the Devuan ML, but to the
previous email that that one linked above) I simply remove the below, which if
it is in place:
# cat /etc/apt/apt.conf

Debug::pkgProblemResolver "on";
#Debug::pkgDPkgPM "on";
Debug::Acquire::ftp "on";
Debug::Acquire::http "on";
Debug::Acquire::gpgv "on";
Debug::BuildDeps "on";
Debug::Hashes "on";
InstallProgress::Fancy "off";
Binary::apt::DPkg::Progress-Fancy "off";
AllowInsecureRepositories "off";

#

gets this:

Reading package lists...
Building dependency tree...
Reading state information...
Starting pkgProblemResolver with broken count: 2
Starting 2 pkgProblemResolver with broken count: 2
Investigating (0) build-essential:amd64 < none -> 12.3 @un puN Ib >
Broken build-essential:amd64 Depends on libc6-dev:amd64 < none | 2.24-11 @un uH >
  Considering libc6-dev:amd64 2 as a solution to build-essential:amd64 10000
    Reinst Failed early because of libc6:amd64
Broken build-essential:amd64 Depends on libc-dev:amd64 < none @un H >
  Considering libc6-dev:amd64 2 as a solution to build-essential:amd64 10000
Investigating (0) libstdc++-6-dev:amd64 < none -> 6.3.0-18 @un uN Ib >
Broken libstdc++-6-dev:amd64 Depends on libc6-dev:amd64 < none | 2.24-11 @un uH > (>= 2.13-5)
  Considering libc6-dev:amd64 2 as a solution to libstdc++-6-dev:amd64 0
  Holding Back libstdc++-6-dev:amd64 rather than change libc6-dev:amd64
Investigating (1) build-essential:amd64 < none -> 12.3 @un puN Ib >
Broken build-essential:amd64 Depends on libc6-dev:amd64 < none | 2.24-11 @un uH >
  Considering libc6-dev:amd64 2 as a solution to build-essential:amd64 10000
Broken build-essential:amd64 Depends on libc-dev:amd64 < none @un H >
  Considering libc6-dev:amd64 2 as a solution to build-essential:amd64 10000
Investigating (1) g++-6:amd64 < none -> 6.3.0-18 @un uN Ib >
Broken g++-6:amd64 Depends on libstdc++-6-dev:amd64 < none | 6.3.0-18 @un uH > (= 6.3.0-18)
  Considering libstdc++-6-dev:amd64 0 as a solution to g++-6:amd64 0
  Holding Back g++-6:amd64 rather than change libstdc++-6-dev:amd64
Investigating (1) g++:amd64 < none -> 4:6.3.0-4 @un uN Ib >
Broken g++:amd64 Depends on g++-6:amd64 < none | 6.3.0-18 @un uH > (>= 6.3.0-9~)
  Considering g++-6:amd64 0 as a solution to g++:amd64 0
  Holding Back g++:amd64 rather than change g++-6:amd64
Investigating (2) build-essential:amd64 < none -> 12.3 @un puN Ib >
Broken build-essential:amd64 Depends on libc6-dev:amd64 < none | 2.24-11 @un uH >
  Considering libc6-dev:amd64 2 as a solution to build-essential:amd64 10000
Broken build-essential:amd64 Depends on libc-dev:amd64 < none @un H >
  Considering libc6-dev:amd64 2 as a solution to build-essential:amd64 10000
Broken build-essential:amd64 Depends on g++:amd64 < none | 4:6.3.0-4 @un uH > (>= 4:6.3)
  Considering g++:amd64 0 as a solution to build-essential:amd64 10000
    Reinst Failed because of libc6-dev:amd64
    Reinst Failed because of libstdc++-6-dev:amd64
    Reinst Failed because of g++-6:amd64
Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 build-essential : Depends: libc6-dev but it is not going to be installed or
                            libc-dev
                   Depends: g++ (>= 4:6.3) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

As I said, if I don't fix this somehow, it's some two months of my hard work partly gone to nothing (well, I have learned a lot, but...)...


Devs/testers/users of FOSS, what might be ahead for GNU/Linux after we lost PaX Team and spender? spender wrote:
https://forums.grsecurity.net/viewtopic … 699#p17127
Google made the choice to engage in underhanded competition against us with our own code...
grsecurity ripoff by Google, w/ Linus approval https://lists.dyne.org/lurker/message/2 … 4b.en.html

Offline

#2 2017-07-05 14:53:35

miroR
Member
From: Zagreb, Croatia
Registered: 2016-11-30
Posts: 217  
Website

Re: Broken packages in Ascii, how to fix? (Beware of Debian Stretch)

Initial text, back when I couldn't post with Lynx:

Network error, but the post that I prepared was ready for posting before the time of this post, and once I (hopefully) compile Palemoon, I'll post it with it.
I have to say, though, that Lynx does wonders, it's very advanced, lots of new features, probably the most maintained of the text browsers...

Follows real text, prepared at that time, not at the time of this edit with Palemoon (which I am, temporarily, back with):
---
In the linked (in the first post above) thread on Dng Devuan ML I got the advice that will very likely work. Both pieces of advice would work, but since my issue stem from my mixing of Devuan Jessie with Debian Stretch (which was then the Testing branch) and then incomplete reverting to Devuan by means of updating (all my updating is in various topic that I wrote on Dev1galaxy.org forums) [by means of updating] to Devuan Ascii, I am pretty confident that I will comfortably be able to update by means of the most complete updating and upgrading with the advice that applied to all Devuaners who happened to update when Debian Stretch went stable and the Testing branch became Debian Buster, which meant that Devuaners who updated in that short period of time when any "apt-get update" introduced some disorder, could use that method to reintroduce order into their system.

This was the advice that applied then to everybody, and by comparison, to very likely applies to my case:
AMPROLLA GLITCH: ISSUE SOLVED -- PLEASE READ CAREFULLY
https://lists.dyne.org/lurker/message/2 … ad.en.html

But I like (didn't do it a couple of times, and sorely regretted it afterwards), to see what would a command/a method do, before I apply it.

So I stuck this below:
# cat /etc/apt/preferences.d/ascii-pin

Package: *
Pin: release n=ascii
Pin-Priority: 1001

#

And, first, I did study and understand some of man apt_preferences, but not found time to search (I don't know in which man page it is) for what:

Investigating (0) build-essential:amd64 < none -> 12.3 @un puN Ib >

and other lines with such cryptic characters, like:

Broken build-essential:amd64 Depends on libc-dev:amd64 < none @un H >

but, obviously, in the first line the 12.3 is the version of build-essential, and  none on the left of "->" means it's currently not installed, and altogether "none -> 12.3" means the ProblemResolver (I got all that debug-like output because I stuck "Debug::pkgProblemResolver "on";" in my apt.conf), is pondering about installing that version... "b" could stand for binary (pls. note that I'm only guessing)... And can't even try to guess the rest.


The "@un", in both lines, maybe stand for from unknown (pls. note that I'm only guessing).

Anyway, these three lines are important:

    Reinst Failed because of libc6-dev:amd64
    Reinst Failed because of libstdc++-6-dev:amd64
    Reinst Failed because of g++-6:amd64

But all that was previously. Now I got "ascii-pin"-ing in proper place. And all should go well.

E.g, I get nice output, and fine downgrading (because of the pinning, reader, peruse the man apt_preferences if you wonder why), that will remove blockages (I hope), with these three:
# apt-get install libc6-dev --print-uris

Reading package lists...
Building dependency tree...
Reading state information...
Starting pkgProblemResolver with broken count: 0
Starting 2 pkgProblemResolver with broken count: 0
Done
The following additional packages will be installed:
  libc-dev-bin libc6
Suggested packages:
  glibc-doc manpages-dev
Recommended packages:
  manpages-dev
The following NEW packages will be installed:
  libc-dev-bin libc6-dev
The following packages will be DOWNGRADED:
  libc6
0 upgraded, 2 newly installed, 1 downgraded, 0 to remove and 104 not upgraded.
Need to get 2,623 kB/5,314 kB of archives.
After this operation, 16.4 MB of additional disk space will be used.
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/glibc/libc-dev-bin_2.24-11_amd64.deb' libc-dev-bin_2.24-11_amd64.deb 258500 MD5Sum:64761995866af95a09ab307ca22bbd12
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/glibc/libc6-dev_2.24-11_amd64.deb' libc6-dev_2.24-11_amd64.deb 2364444 MD5Sum:78eec71717f0fd37dd53e526cf1045f4

#
# apt-get install libstdc++-6-dev --print-uris

Reading package lists...
Building dependency tree...
Reading state information...
Starting pkgProblemResolver with broken count: 0
Starting 2 pkgProblemResolver with broken count: 0
Done
The following additional packages will be installed:
  libasan3 libc-dev-bin libc6 libc6-dev libcilkrts5 libgcc-6-dev libitm1
  liblsan0 libmpx2 libtsan0 libubsan0
Suggested packages:
  glibc-doc manpages-dev libstdc++-6-doc
Recommended packages:
  manpages-dev
The following NEW packages will be installed:
  libasan3 libc-dev-bin libc6-dev libcilkrts5 libgcc-6-dev libitm1 liblsan0
  libmpx2 libstdc++-6-dev libtsan0 libubsan0
The following packages will be DOWNGRADED:
  libc6
0 upgraded, 11 newly installed, 1 downgraded, 0 to remove and 104 not upgraded.
Need to get 7,207 kB/9,898 kB of archives.
After this operation, 47.9 MB of additional disk space will be used.
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libasan3_6.3.0-18_amd64.deb' libasan3_6.3.0-18_amd64.deb 311152 MD5Sum:046c7cfe28d335cee8243c5248cfc8b1
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/glibc/libc-dev-bin_2.24-11_amd64.deb' libc-dev-bin_2.24-11_amd64.deb 258500 MD5Sum:64761995866af95a09ab307ca22bbd12
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/glibc/libc6-dev_2.24-11_amd64.deb' libc6-dev_2.24-11_amd64.deb 2364444 MD5Sum:78eec71717f0fd37dd53e526cf1045f4
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libcilkrts5_6.3.0-18_amd64.deb' libcilkrts5_6.3.0-18_amd64.deb 40402 MD5Sum:bffcb299bec1e0d974858c766e954d6b
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libitm1_6.3.0-18_amd64.deb' libitm1_6.3.0-18_amd64.deb 27352 MD5Sum:1e51b10230e0a6df86da635d43ec9d67
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/liblsan0_6.3.0-18_amd64.deb' liblsan0_6.3.0-18_amd64.deb 115336 MD5Sum:f2b30463e5e67fdf6bbf57f7c6b492d4
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libtsan0_6.3.0-18_amd64.deb' libtsan0_6.3.0-18_amd64.deb 256578 MD5Sum:2acfc65a6b7deae128c15eb63285c22e
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libubsan0_6.3.0-18_amd64.deb' libubsan0_6.3.0-18_amd64.deb 106494 MD5Sum:d98802cb698ae976858d9568b67ac0da
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libmpx2_6.3.0-18_amd64.deb' libmpx2_6.3.0-18_amd64.deb 11230 MD5Sum:9a576cfd0630e84b631a11cbb1a20cbb
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libgcc-6-dev_6.3.0-18_amd64.deb' libgcc-6-dev_6.3.0-18_amd64.deb 2297480 MD5Sum:4c102dca5b61dd1f68fc9c4d818540d3
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libstdc++-6-dev_6.3.0-18_amd64.deb' libstdc++-6-dev_6.3.0-18_amd64.deb 1418244 MD5Sum:51df3e94af7cd0b037a7b6a742c37bba

#
and:
# apt-get install g++-6 --print-uris

Reading package lists...
Building dependency tree...
Reading state information...
Starting pkgProblemResolver with broken count: 0
Starting 2 pkgProblemResolver with broken count: 0
Done
The following additional packages will be installed:
  gcc-6 libasan3 libc-dev-bin libc6 libc6-dev libcc1-0 libcilkrts5
  libgcc-6-dev libitm1 liblsan0 libmpx2 libstdc++-6-dev libtsan0 libubsan0
Suggested packages:
  g++-6-multilib gcc-6-doc libstdc++6-6-dbg gcc-6-multilib gcc-6-locales
  libgcc1-dbg libgomp1-dbg libitm1-dbg libatomic1-dbg libasan3-dbg
  liblsan0-dbg libtsan0-dbg libubsan0-dbg libcilkrts5-dbg libmpx2-dbg
  libquadmath0-dbg glibc-doc manpages-dev libstdc++-6-doc
Recommended packages:
  manpages-dev
The following NEW packages will be installed:
  g++-6 gcc-6 libasan3 libc-dev-bin libc6-dev libcc1-0 libcilkrts5
  libgcc-6-dev libitm1 liblsan0 libmpx2 libstdc++-6-dev libtsan0 libubsan0
The following packages will be DOWNGRADED:
  libc6
0 upgraded, 14 newly installed, 1 downgraded, 0 to remove and 104 not upgraded.
Need to get 21.2 MB/23.9 MB of archives.
After this operation, 98.2 MB of additional disk space will be used.
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libcc1-0_6.3.0-18_amd64.deb' libcc1-0_6.3.0-18_amd64.deb 30626 MD5Sum:df4a0d58d81b7d40b1af05213f4516a4
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libitm1_6.3.0-18_amd64.deb' libitm1_6.3.0-18_amd64.deb 27352 MD5Sum:1e51b10230e0a6df86da635d43ec9d67
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libasan3_6.3.0-18_amd64.deb' libasan3_6.3.0-18_amd64.deb 311152 MD5Sum:046c7cfe28d335cee8243c5248cfc8b1
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/liblsan0_6.3.0-18_amd64.deb' liblsan0_6.3.0-18_amd64.deb 115336 MD5Sum:f2b30463e5e67fdf6bbf57f7c6b492d4
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libtsan0_6.3.0-18_amd64.deb' libtsan0_6.3.0-18_amd64.deb 256578 MD5Sum:2acfc65a6b7deae128c15eb63285c22e
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libubsan0_6.3.0-18_amd64.deb' libubsan0_6.3.0-18_amd64.deb 106494 MD5Sum:d98802cb698ae976858d9568b67ac0da
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libcilkrts5_6.3.0-18_amd64.deb' libcilkrts5_6.3.0-18_amd64.deb 40402 MD5Sum:bffcb299bec1e0d974858c766e954d6b
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libmpx2_6.3.0-18_amd64.deb' libmpx2_6.3.0-18_amd64.deb 11230 MD5Sum:9a576cfd0630e84b631a11cbb1a20cbb
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libgcc-6-dev_6.3.0-18_amd64.deb' libgcc-6-dev_6.3.0-18_amd64.deb 2297480 MD5Sum:4c102dca5b61dd1f68fc9c4d818540d3
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/gcc-6_6.3.0-18_amd64.deb' gcc-6_6.3.0-18_amd64.deb 6895274 MD5Sum:c678ae5354a2cd68c49234c6f2af3c57
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/glibc/libc-dev-bin_2.24-11_amd64.deb' libc-dev-bin_2.24-11_amd64.deb 258500 MD5Sum:64761995866af95a09ab307ca22bbd12
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/glibc/libc6-dev_2.24-11_amd64.deb' libc6-dev_2.24-11_amd64.deb 2364444 MD5Sum:78eec71717f0fd37dd53e526cf1045f4
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libstdc++-6-dev_6.3.0-18_amd64.deb' libstdc++-6-dev_6.3.0-18_amd64.deb 1418244 MD5Sum:51df3e94af7cd0b037a7b6a742c37bba
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/g++-6_6.3.0-18_amd64.deb' g++-6_6.3.0-18_amd64.deb 7086014 MD5Sum:b15525bf8fee6ddf4d404774c33f3958

#

But I think it should all be installed with simply:
# apt-get install build-essential --print-uris

Reading package lists...
Building dependency tree...
Reading state information...
Starting pkgProblemResolver with broken count: 0
Starting 2 pkgProblemResolver with broken count: 0
Done
The following additional packages will be installed:
  dpkg-dev g++ g++-6 gcc gcc-6 libasan3 libc-dev-bin libc6 libc6-dev libcc1-0
  libcilkrts5 libdpkg-perl libgcc-6-dev libitm1 liblsan0 libmpx2
  libstdc++-6-dev libtsan0 libubsan0 make
Suggested packages:
  g++-multilib g++-6-multilib gcc-6-doc libstdc++6-6-dbg gcc-multilib
  manpages-dev autoconf automake libtool flex bison gdb gcc-doc gcc-6-multilib
  gcc-6-locales libgcc1-dbg libgomp1-dbg libitm1-dbg libatomic1-dbg
  libasan3-dbg liblsan0-dbg libtsan0-dbg libubsan0-dbg libcilkrts5-dbg
  libmpx2-dbg libquadmath0-dbg glibc-doc libstdc++-6-doc make-doc
Recommended packages:
  fakeroot libalgorithm-merge-perl manpages-dev libfile-fcntllock-perl
The following NEW packages will be installed:
  build-essential dpkg-dev g++ g++-6 gcc gcc-6 libasan3 libc-dev-bin libc6-dev
  libcc1-0 libcilkrts5 libdpkg-perl libgcc-6-dev libitm1 liblsan0 libmpx2
  libstdc++-6-dev libtsan0 libubsan0 make
The following packages will be DOWNGRADED:
  libc6
0 upgraded, 20 newly installed, 1 downgraded, 0 to remove and 104 not upgraded.
Need to get 24.4 MB/27.1 MB of archives.
After this operation, 104 MB of additional disk space will be used.
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/glibc/libc-dev-bin_2.24-11_amd64.deb' libc-dev-bin_2.24-11_amd64.deb 258500 MD5Sum:64761995866af95a09ab307ca22bbd12
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/glibc/libc6-dev_2.24-11_amd64.deb' libc6-dev_2.24-11_amd64.deb 2364444 MD5Sum:78eec71717f0fd37dd53e526cf1045f4
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libcc1-0_6.3.0-18_amd64.deb' libcc1-0_6.3.0-18_amd64.deb 30626 MD5Sum:df4a0d58d81b7d40b1af05213f4516a4
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libitm1_6.3.0-18_amd64.deb' libitm1_6.3.0-18_amd64.deb 27352 MD5Sum:1e51b10230e0a6df86da635d43ec9d67
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libasan3_6.3.0-18_amd64.deb' libasan3_6.3.0-18_amd64.deb 311152 MD5Sum:046c7cfe28d335cee8243c5248cfc8b1
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/liblsan0_6.3.0-18_amd64.deb' liblsan0_6.3.0-18_amd64.deb 115336 MD5Sum:f2b30463e5e67fdf6bbf57f7c6b492d4
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libtsan0_6.3.0-18_amd64.deb' libtsan0_6.3.0-18_amd64.deb 256578 MD5Sum:2acfc65a6b7deae128c15eb63285c22e
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libubsan0_6.3.0-18_amd64.deb' libubsan0_6.3.0-18_amd64.deb 106494 MD5Sum:d98802cb698ae976858d9568b67ac0da
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libcilkrts5_6.3.0-18_amd64.deb' libcilkrts5_6.3.0-18_amd64.deb 40402 MD5Sum:bffcb299bec1e0d974858c766e954d6b
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libmpx2_6.3.0-18_amd64.deb' libmpx2_6.3.0-18_amd64.deb 11230 MD5Sum:9a576cfd0630e84b631a11cbb1a20cbb
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libgcc-6-dev_6.3.0-18_amd64.deb' libgcc-6-dev_6.3.0-18_amd64.deb 2297480 MD5Sum:4c102dca5b61dd1f68fc9c4d818540d3
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/gcc-6_6.3.0-18_amd64.deb' gcc-6_6.3.0-18_amd64.deb 6895274 MD5Sum:c678ae5354a2cd68c49234c6f2af3c57
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-defaults/gcc_6.3.0-4_amd64.deb' gcc_4%3a6.3.0-4_amd64.deb 5196 MD5Sum:39acbd4737f698bd71e17992e87b561b
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libstdc++-6-dev_6.3.0-18_amd64.deb' libstdc++-6-dev_6.3.0-18_amd64.deb 1418244 MD5Sum:51df3e94af7cd0b037a7b6a742c37bba
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/g++-6_6.3.0-18_amd64.deb' g++-6_6.3.0-18_amd64.deb 7086014 MD5Sum:b15525bf8fee6ddf4d404774c33f3958
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-defaults/g++_6.3.0-4_amd64.deb' g++_4%3a6.3.0-4_amd64.deb 1546 MD5Sum:3687c5ec9f66356b1baa82ddbda6be06
'http://packages.devuan.org/merged/pool/DEBIAN/main/m/make-dfsg/make_4.1-9.1_amd64.deb' make_4.1-9.1_amd64.deb 302456 MD5Sum:78bb93bc5088db970f3e1bd3b7d8631f
'http://packages.devuan.org/merged/pool/DEBIAN/main/d/dpkg/libdpkg-perl_1.18.24_all.deb' libdpkg-perl_1.18.24_all.deb 1283398 MD5Sum:fecb5a63f428d727cfbb297ec3664413
'http://packages.devuan.org/merged/pool/DEBIAN/main/d/dpkg/dpkg-dev_1.18.24_all.deb' dpkg-dev_1.18.24_all.deb 1591874 MD5Sum:39d4f2704c9b206f8369a6da0a1f945d
'http://packages.devuan.org/merged/pool/DEBIAN/main/b/build-essential/build-essential_12.3_amd64.deb' build-essential_12.3_amd64.deb 7346 MD5Sum:6f8d0ed6b2bee9d0a2eed268409ba9e7

#
Except, while I have:

# cat /etc/apt/apt.conf.d/01lean 
APT::Install-Suggests "0";

APT::Install-Recommends "0";

APT::AutoRemove::SuggestsImportant "false";

APT::AutoRemove::RecommendsImportant "false";

because I don't want, say, GUI and related bloat, I think in this case I'll prefer having stuff like the recommanded fakeroot, so how about:
# apt-get install build-essential --install-recommends --print-uris

Reading package lists...
Building dependency tree...
Reading state information...
Starting pkgProblemResolver with broken count: 0
Starting 2 pkgProblemResolver with broken count: 0
Done
The following packages were automatically installed and are no longer required:
  fakeroot libalgorithm-diff-perl libalgorithm-diff-xs-perl
  libalgorithm-merge-perl libfakeroot libfile-fcntllock-perl manpages-dev
Use 'apt autoremove' to remove them.
The following additional packages will be installed:
  dpkg-dev fakeroot g++ g++-6 gcc gcc-6 libalgorithm-diff-perl
  libalgorithm-diff-xs-perl libalgorithm-merge-perl libasan3 libc-dev-bin
  libc6 libc6-dev libcc1-0 libcilkrts5 libdpkg-perl libfakeroot
  libfile-fcntllock-perl libgcc-6-dev libitm1 liblsan0 libmpx2 libstdc++-6-dev
  libtsan0 libubsan0 make manpages-dev
Suggested packages:
  g++-multilib g++-6-multilib gcc-6-doc libstdc++6-6-dbg gcc-multilib autoconf
  automake libtool flex bison gdb gcc-doc gcc-6-multilib gcc-6-locales
  libgcc1-dbg libgomp1-dbg libitm1-dbg libatomic1-dbg libasan3-dbg
  liblsan0-dbg libtsan0-dbg libubsan0-dbg libcilkrts5-dbg libmpx2-dbg
  libquadmath0-dbg glibc-doc libstdc++-6-doc make-doc
The following NEW packages will be installed:
  build-essential dpkg-dev fakeroot g++ g++-6 gcc gcc-6 libalgorithm-diff-perl
  libalgorithm-diff-xs-perl libalgorithm-merge-perl libasan3 libc-dev-bin
  libc6-dev libcc1-0 libcilkrts5 libdpkg-perl libfakeroot
  libfile-fcntllock-perl libgcc-6-dev libitm1 liblsan0 libmpx2 libstdc++-6-dev
  libtsan0 libubsan0 make manpages-dev
The following packages will be DOWNGRADED:
  libc6
0 upgraded, 27 newly installed, 1 downgraded, 0 to remove and 104 not upgraded.
Need to get 26.8 MB/29.5 MB of archives.
After this operation, 108 MB of additional disk space will be used.
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/glibc/libc-dev-bin_2.24-11_amd64.deb' libc-dev-bin_2.24-11_amd64.deb 258500 MD5Sum:64761995866af95a09ab307ca22bbd12
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/glibc/libc6-dev_2.24-11_amd64.deb' libc6-dev_2.24-11_amd64.deb 2364444 MD5Sum:78eec71717f0fd37dd53e526cf1045f4
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libcc1-0_6.3.0-18_amd64.deb' libcc1-0_6.3.0-18_amd64.deb 30626 MD5Sum:df4a0d58d81b7d40b1af05213f4516a4
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libitm1_6.3.0-18_amd64.deb' libitm1_6.3.0-18_amd64.deb 27352 MD5Sum:1e51b10230e0a6df86da635d43ec9d67
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libasan3_6.3.0-18_amd64.deb' libasan3_6.3.0-18_amd64.deb 311152 MD5Sum:046c7cfe28d335cee8243c5248cfc8b1
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/liblsan0_6.3.0-18_amd64.deb' liblsan0_6.3.0-18_amd64.deb 115336 MD5Sum:f2b30463e5e67fdf6bbf57f7c6b492d4
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libtsan0_6.3.0-18_amd64.deb' libtsan0_6.3.0-18_amd64.deb 256578 MD5Sum:2acfc65a6b7deae128c15eb63285c22e
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libubsan0_6.3.0-18_amd64.deb' libubsan0_6.3.0-18_amd64.deb 106494 MD5Sum:d98802cb698ae976858d9568b67ac0da
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libcilkrts5_6.3.0-18_amd64.deb' libcilkrts5_6.3.0-18_amd64.deb 40402 MD5Sum:bffcb299bec1e0d974858c766e954d6b
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libmpx2_6.3.0-18_amd64.deb' libmpx2_6.3.0-18_amd64.deb 11230 MD5Sum:9a576cfd0630e84b631a11cbb1a20cbb
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libgcc-6-dev_6.3.0-18_amd64.deb' libgcc-6-dev_6.3.0-18_amd64.deb 2297480 MD5Sum:4c102dca5b61dd1f68fc9c4d818540d3
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/gcc-6_6.3.0-18_amd64.deb' gcc-6_6.3.0-18_amd64.deb 6895274 MD5Sum:c678ae5354a2cd68c49234c6f2af3c57
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-defaults/gcc_6.3.0-4_amd64.deb' gcc_4%3a6.3.0-4_amd64.deb 5196 MD5Sum:39acbd4737f698bd71e17992e87b561b
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/libstdc++-6-dev_6.3.0-18_amd64.deb' libstdc++-6-dev_6.3.0-18_amd64.deb 1418244 MD5Sum:51df3e94af7cd0b037a7b6a742c37bba
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-6/g++-6_6.3.0-18_amd64.deb' g++-6_6.3.0-18_amd64.deb 7086014 MD5Sum:b15525bf8fee6ddf4d404774c33f3958
'http://packages.devuan.org/merged/pool/DEBIAN/main/g/gcc-defaults/g++_6.3.0-4_amd64.deb' g++_4%3a6.3.0-4_amd64.deb 1546 MD5Sum:3687c5ec9f66356b1baa82ddbda6be06
'http://packages.devuan.org/merged/pool/DEBIAN/main/m/make-dfsg/make_4.1-9.1_amd64.deb' make_4.1-9.1_amd64.deb 302456 MD5Sum:78bb93bc5088db970f3e1bd3b7d8631f
'http://packages.devuan.org/merged/pool/DEBIAN/main/d/dpkg/libdpkg-perl_1.18.24_all.deb' libdpkg-perl_1.18.24_all.deb 1283398 MD5Sum:fecb5a63f428d727cfbb297ec3664413
'http://packages.devuan.org/merged/pool/DEBIAN/main/d/dpkg/dpkg-dev_1.18.24_all.deb' dpkg-dev_1.18.24_all.deb 1591874 MD5Sum:39d4f2704c9b206f8369a6da0a1f945d
'http://packages.devuan.org/merged/pool/DEBIAN/main/b/build-essential/build-essential_12.3_amd64.deb' build-essential_12.3_amd64.deb 7346 MD5Sum:6f8d0ed6b2bee9d0a2eed268409ba9e7
'http://packages.devuan.org/merged/pool/DEBIAN/main/f/fakeroot/libfakeroot_1.21-3.1_amd64.deb' libfakeroot_1.21-3.1_amd64.deb 45736 MD5Sum:27a8e2638e902c5bcd5c91e8439a24eb
'http://packages.devuan.org/merged/pool/DEBIAN/main/f/fakeroot/fakeroot_1.21-3.1_amd64.deb' fakeroot_1.21-3.1_amd64.deb 85622 MD5Sum:a39796c3af2306979167871d288b0f64
'http://packages.devuan.org/merged/pool/DEBIAN/main/liba/libalgorithm-diff-perl/libalgorithm-diff-perl_1.19.03-1_all.deb' libalgorithm-diff-perl_1.19.03-1_all.deb 48706 MD5Sum:e817cecefbd84f6ba385dfa6d8c8279a
'http://packages.devuan.org/merged/pool/DEBIAN/main/liba/libalgorithm-diff-xs-perl/libalgorithm-diff-xs-perl_0.04-4+b2_amd64.deb' libalgorithm-diff-xs-perl_0.04-4+b2_amd64.deb 11552 MD5Sum:bc1f06b8a95c567518ffb9771b6bdc4b
'http://packages.devuan.org/merged/pool/DEBIAN/main/liba/libalgorithm-merge-perl/libalgorithm-merge-perl_0.08-3_all.deb' libalgorithm-merge-perl_0.08-3_all.deb 12696 MD5Sum:0a0d087e1df2673d113dae02f4d4f85d
'http://packages.devuan.org/merged/pool/DEBIAN/main/libf/libfile-fcntllock-perl/libfile-fcntllock-perl_0.22-3+b2_amd64.deb' libfile-fcntllock-perl_0.22-3+b2_amd64.deb 35344 MD5Sum:2bfd0efd1ac9515f9b2bc813f3e4465d
'http://packages.devuan.org/merged/pool/DEBIAN/main/m/manpages/manpages-dev_4.10-2_all.deb' manpages-dev_4.10-2_all.deb 2144504 MD5Sum:482a1f68c5ffff5117b2c6b25b740624

#
I guess I like that better...

Theory so far. For real, next. (I'm betting on succeeding just fine, again. Suspense...)

Last edited by miroR (2017-07-08 21:00:54)


Devs/testers/users of FOSS, what might be ahead for GNU/Linux after we lost PaX Team and spender? spender wrote:
https://forums.grsecurity.net/viewtopic … 699#p17127
Google made the choice to engage in underhanded competition against us with our own code...
grsecurity ripoff by Google, w/ Linus approval https://lists.dyne.org/lurker/message/2 … 4b.en.html

Offline

#3 2017-07-05 17:36:18

miroR
Member
From: Zagreb, Croatia
Registered: 2016-11-30
Posts: 217  
Website

Re: Broken packages in Ascii, how to fix? (Beware of Debian Stretch)

Just like the second post:

Lynx could not post the prepared post, just like the second above.

Follows again real text, prepared back then.
---
And it went delicious in reality as well. And both in this clone, and in the Air-Gapped. For more full report, only what happened in this clone.
# apt-get install build-essential --install-recommends

Reading package lists...
Building dependency tree...
Reading state information...
Starting pkgProblemResolver with broken count: 0
Starting 2 pkgProblemResolver with broken count: 0
Done
The following packages were automatically installed and are no longer required:
  fakeroot libalgorithm-diff-perl libalgorithm-diff-xs-perl
  libalgorithm-merge-perl libfakeroot libfile-fcntllock-perl manpages-dev
Use 'apt autoremove' to remove them.
The following additional packages will be installed:
  dpkg-dev fakeroot g++ g++-6 gcc gcc-6 libalgorithm-diff-perl
  libalgorithm-diff-xs-perl libalgorithm-merge-perl libasan3 libc-dev-bin
  libc6 libc6-dev libcc1-0 libcilkrts5 libdpkg-perl libfakeroot
  libfile-fcntllock-perl libgcc-6-dev libitm1 liblsan0 libmpx2 libstdc++-6-dev
  libtsan0 libubsan0 make manpages-dev
Suggested packages:
  g++-multilib g++-6-multilib gcc-6-doc libstdc++6-6-dbg gcc-multilib autoconf
  automake libtool flex bison gdb gcc-doc gcc-6-multilib gcc-6-locales
  libgcc1-dbg libgomp1-dbg libitm1-dbg libatomic1-dbg libasan3-dbg
  liblsan0-dbg libtsan0-dbg libubsan0-dbg libcilkrts5-dbg libmpx2-dbg
  libquadmath0-dbg glibc-doc libstdc++-6-doc make-doc
The following NEW packages will be installed:
  build-essential dpkg-dev fakeroot g++ g++-6 gcc gcc-6 libalgorithm-diff-perl
  libalgorithm-diff-xs-perl libalgorithm-merge-perl libasan3 libc-dev-bin
  libc6-dev libcc1-0 libcilkrts5 libdpkg-perl libfakeroot
  libfile-fcntllock-perl libgcc-6-dev libitm1 liblsan0 libmpx2 libstdc++-6-dev
  libtsan0 libubsan0 make manpages-dev
The following packages will be DOWNGRADED:
  libc6
0 upgraded, 27 newly installed, 1 downgraded, 0 to remove and 104 not upgraded.
Need to get 26.8 MB/29.5 MB of archives.
After this operation, 108 MB of additional disk space will be used.
Do you want to continue? [Y/n] GET /merged/pool/DEBIAN/main/g/glibc/libc-dev-bin_2.24-11_amd64.deb HTTP/1.1
Host: packages.devuan.org
User-Agent: Debian APT-HTTP/1.3 (1.4.6)


Answer for: http://packages.devuan.org/merged/pool/DEBIAN/main/g/glibc/libc-dev-bin_2.24-11_amd64.deb
HTTP/1.1 302 Moved Temporarily
Server: nginx/1.9.9
Date: Wed, 05 Jul 2017 14:54:19 GMT
Content-Type: text/html
Content-Length: 160
Connection: keep-alive
Location: http://httpredir.debian.org/debian/pool/main/g/glibc/libc-dev-bin_2.24-11_amd64.deb

GET /merged/pool/DEBIAN/main/g/glibc/libc6-dev_2.24-11_amd64.deb HTTP/1.1
Host: packages.devuan.org
User-Agent: Debian APT-HTTP/1.3 (1.4.6)


GET /merged/pool/DEBIAN/main/g/gcc-6/libcc1-0_6.3.0-18_amd64.deb HTTP/1.1
Host: packages.devuan.org
User-Agent: Debian APT-HTTP/1.3 (1.4.6)


GET /merged/pool/DEBIAN/main/g/gcc-6/libitm1_6.3.0-18_amd64.deb HTTP/1.1
Host: packages.devuan.org
User-Agent: Debian APT-HTTP/1.3 (1.4.6)



...[1341 lines cut here]...

Get:16 http://packages.devuan.org/merged ascii/main amd64 g++ amd64 4:6.3.0-4 [1,546 B]
GET /debian/pool/main/liba/libalgorithm-merge-perl/libalgorithm-merge-perl_0.08-3_all.deb HTTP/1.1
Host: cdn-fastly.deb.debian.org
User-Agent: Debian APT-HTTP/1.3 (1.4.6)


Answer for: http://cdn-fastly.deb.debian.org/debian/pool/main/m/make-dfsg/make_4.1-9.1_amd64.deb
HTTP/1.1 200 OK
Server: Apache
X-Content-Type-Options: nosniff
X-Frame-Options: sameorigin
Referrer-Policy: no-referrer
X-Xss-Protection: 1
Last-Modified: Tue, 07 Feb 2017 19:10:08 GMT
ETag: "49d78-547f57f129d87"
X-Clacks-Overhead: GNU Terry Pratchett
Cache-Control: public, max-age=2592000
Content-Type: application/x-debian-package
Via: 1.1 varnish
Fastly-Debug-Digest: a89bcff1947963c92dbfdfc90356d27aeeec3582a6e60875e8428409ee0370cb
Content-Length: 302456
Accept-Ranges: bytes
Date: Wed, 05 Jul 2017 14:54:22 GMT
Via: 1.1 varnish
Age: 3059264
Connection: keep-alive
X-Served-By: cache-ams4151-AMS, cache-hhn1521-HHN
X-Cache: HIT, HIT
X-Cache-Hits: 1, 1
X-Timer: S1499266463.941419,VS0,VE1

Get:17 http://packages.devuan.org/merged ascii/main amd64 make amd64 4.1-9.1 [302 kB]
GET /debian/pool/main/libf/libfile-fcntllock-perl/libfile-fcntllock-perl_0.22-3%2bb2_amd64.deb HTTP/1.1
Host: cdn-fastly.deb.debian.org
User-Agent: Debian APT-HTTP/1.3 (1.4.6)


Answer for: http://cdn-fastly.deb.debian.org/debian/pool/main/d/dpkg/libdpkg-perl_1.18.24_all.deb
HTTP/1.1 200 OK
Server: Apache
X-Content-Type-Options: nosniff
X-Frame-Options: sameorigin
Referrer-Policy: no-referrer
X-Xss-Protection: 1
Last-Modified: Thu, 18 May 2017 04:29:45 GMT
ETag: "139546-54fc4dabed766"
X-Clacks-Overhead: GNU Terry Pratchett
Cache-Control: public, max-age=2592000
Content-Type: application/x-debian-package
Via: 1.1 varnish
Fastly-Debug-Digest: f81fa2c606bfaf439e29b22180464e831064a266f087973cccbf1e5d89868d04
Content-Length: 1283398
Accept-Ranges: bytes
Date: Wed, 05 Jul 2017 14:54:22 GMT
Via: 1.1 varnish
Age: 1932220
Connection: keep-alive
X-Served-By: cache-ams4133-AMS, cache-hhn1521-HHN
X-Cache: HIT, HIT
X-Cache-Hits: 1, 1
X-Timer: S1499266463.991399,VS0,VE2

Get:18 http://packages.devuan.org/merged ascii/main amd64 libdpkg-perl all 1.18.24 [1,283 kB]
GET /debian/pool/main/m/manpages/manpages-dev_4.10-2_all.deb HTTP/1.1
Host: cdn-fastly.deb.debian.org
User-Agent: Debian APT-HTTP/1.3 (1.4.6)


Answer for: http://cdn-fastly.deb.debian.org/debian/pool/main/d/dpkg/dpkg-dev_1.18.24_all.deb
HTTP/1.1 200 OK
Server: Apache
X-Content-Type-Options: nosniff
X-Frame-Options: sameorigin
Referrer-Policy: no-referrer
X-Xss-Protection: 1
Last-Modified: Thu, 18 May 2017 04:29:45 GMT
ETag: "184a42-54fc4dabed766"
X-Clacks-Overhead: GNU Terry Pratchett
Cache-Control: public, max-age=2592000
Content-Type: application/x-debian-package
Via: 1.1 varnish
Fastly-Debug-Digest: 4e74fdba709b5f285e3113d18d049e6405bb2632e3174cc9bae0bd72ffc51736
Content-Length: 1591874
Accept-Ranges: bytes
Date: Wed, 05 Jul 2017 14:54:23 GMT
Via: 1.1 varnish
Age: 1675341
Connection: keep-alive
X-Served-By: cache-ams4134-AMS, cache-hhn1521-HHN
X-Cache: HIT, HIT
X-Cache-Hits: 1, 1
X-Timer: S1499266463.097804,VS0,VE2

Get:19 http://packages.devuan.org/merged ascii/main amd64 dpkg-dev all 1.18.24 [1,592 kB]
Answer for: http://cdn-fastly.deb.debian.org/debian/pool/main/b/build-essential/build-essential_12.3_amd64.deb
HTTP/1.1 200 OK
Server: Apache
X-Content-Type-Options: nosniff
X-Frame-Options: sameorigin
Referrer-Policy: no-referrer
X-Xss-Protection: 1
Last-Modified: Wed, 25 Jan 2017 23:56:33 GMT
ETag: "1cb2-546f3fb72a529"
X-Clacks-Overhead: GNU Terry Pratchett
Cache-Control: public, max-age=2592000
Content-Type: application/x-debian-package
Via: 1.1 varnish
Fastly-Debug-Digest: 5ef2cc0317222b767eda05462c5fe0e5c9bde270797264cf35e2e13bc1d76e95
Content-Length: 7346
Accept-Ranges: bytes
Date: Wed, 05 Jul 2017 14:54:23 GMT
Via: 1.1 varnish
Age: 3070958
Connection: keep-alive
X-Served-By: cache-ams4134-AMS, cache-hhn1521-HHN
X-Cache: HIT, HIT
X-Cache-Hits: 1, 28
X-Timer: S1499266463.246947,VS0,VE0

Get:20 http://packages.devuan.org/merged ascii/main amd64 build-essential amd64 12.3 [7,346 B]
Answer for: http://cdn-fastly.deb.debian.org/debian/pool/main/f/fakeroot/libfakeroot_1.21-3.1_amd64.deb
HTTP/1.1 200 OK
Server: Apache
X-Content-Type-Options: nosniff
X-Frame-Options: sameorigin
Referrer-Policy: no-referrer
X-Xss-Protection: 1
Last-Modified: Wed, 18 Jan 2017 04:00:02 GMT
ETag: "b2a8-5465673791480"
X-Clacks-Overhead: GNU Terry Pratchett
Cache-Control: public, max-age=2592000
Content-Type: application/x-debian-package
Via: 1.1 varnish
Fastly-Debug-Digest: d4ed0e22205ee778b2878b25ba080996bbeb43114da3202c60075a81298c68cf
Content-Length: 45736
Accept-Ranges: bytes
Date: Wed, 05 Jul 2017 14:54:23 GMT
Via: 1.1 varnish
Age: 1774490
Connection: keep-alive
X-Served-By: cache-ams4132-AMS, cache-hhn1521-HHN
X-Cache: HIT, HIT
X-Cache-Hits: 2, 1
X-Timer: S1499266463.247579,VS0,VE1

Get:21 http://packages.devuan.org/merged ascii/main amd64 libfakeroot amd64 1.21-3.1 [45.7 kB]
Answer for: http://cdn-fastly.deb.debian.org/debian/pool/main/f/fakeroot/fakeroot_1.21-3.1_amd64.deb
HTTP/1.1 200 OK
Server: Apache
X-Content-Type-Options: nosniff
X-Frame-Options: sameorigin
Referrer-Policy: no-referrer
X-Xss-Protection: 1
Last-Modified: Wed, 18 Jan 2017 04:00:02 GMT
ETag: "14e76-5465673879130"
X-Clacks-Overhead: GNU Terry Pratchett
Cache-Control: public, max-age=2592000
Content-Type: application/x-debian-package
Via: 1.1 varnish
Fastly-Debug-Digest: b922bec7b598ff89cd6487952612e26a24ea8fd03cbe1f18f423ea42e499e446
Content-Length: 85622
Accept-Ranges: bytes
Date: Wed, 05 Jul 2017 14:54:23 GMT
Via: 1.1 varnish
Age: 3059263
Connection: keep-alive
X-Served-By: cache-ams4131-AMS, cache-hhn1521-HHN
X-Cache: HIT, HIT
X-Cache-Hits: 1, 1
X-Timer: S1499266463.248202,VS0,VE1

Get:22 http://packages.devuan.org/merged ascii/main amd64 fakeroot amd64 1.21-3.1 [85.6 kB]
Answer for: http://cdn-fastly.deb.debian.org/debian/pool/main/liba/libalgorithm-diff-perl/libalgorithm-diff-perl_1.19.03-1_all.deb
HTTP/1.1 200 OK
Server: Apache
X-Content-Type-Options: nosniff
X-Frame-Options: sameorigin
Referrer-Policy: no-referrer
X-Xss-Protection: 1
Last-Modified: Sat, 30 May 2015 20:25:21 GMT
ETag: "be42-51752644bce40"
X-Clacks-Overhead: GNU Terry Pratchett
Cache-Control: public, max-age=2592000
Content-Type: application/x-debian-package
Via: 1.1 varnish
Fastly-Debug-Digest: fd267e51717b30f52f8ffe72c0ba4577d31ef4dd3a05cd0729a2fdc1d93603a8
Content-Length: 48706
Accept-Ranges: bytes
Date: Wed, 05 Jul 2017 14:54:23 GMT
Via: 1.1 varnish
Age: 1672070
Connection: keep-alive
X-Served-By: cache-ams4140-AMS, cache-hhn1521-HHN
X-Cache: HIT, HIT
X-Cache-Hits: 6, 1
X-Timer: S1499266463.249179,VS0,VE1

Get:23 http://packages.devuan.org/merged ascii/main amd64 libalgorithm-diff-perl all 1.19.03-1 [48.7 kB]
Answer for: http://cdn-fastly.deb.debian.org/debian/pool/main/liba/libalgorithm-diff-xs-perl/libalgorithm-diff-xs-perl_0.04-4+b2_amd64.deb
HTTP/1.1 200 OK
Server: Apache
X-Content-Type-Options: nosniff
X-Frame-Options: sameorigin
Referrer-Policy: no-referrer
X-Xss-Protection: 1
Last-Modified: Sat, 24 Sep 2016 12:06:35 GMT
ETag: "2d20-53d3fb9f121f5"
X-Clacks-Overhead: GNU Terry Pratchett
Cache-Control: public, max-age=2592000
Content-Type: application/x-debian-package
Via: 1.1 varnish
Fastly-Debug-Digest: 1d9753e99a68c7b3b04bdfc8512cdb973cac55d2a1871409458f2e1ee309d45d
Content-Length: 11552
Accept-Ranges: bytes
Date: Wed, 05 Jul 2017 14:54:23 GMT
Via: 1.1 varnish
Age: 730740
Connection: keep-alive
X-Served-By: cache-ams4129-AMS, cache-hhn1521-HHN
X-Cache: MISS, HIT
X-Cache-Hits: 0, 1
X-Timer: S1499266463.306927,VS0,VE0

Get:24 http://packages.devuan.org/merged ascii/main amd64 libalgorithm-diff-xs-perl amd64 0.04-4+b2 [11.6 kB]
Answer for: http://cdn-fastly.deb.debian.org/debian/pool/main/liba/libalgorithm-merge-perl/libalgorithm-merge-perl_0.08-3_all.deb
HTTP/1.1 200 OK
Server: Apache
X-Content-Type-Options: nosniff
X-Frame-Options: sameorigin
Referrer-Policy: no-referrer
X-Xss-Protection: 1
Last-Modified: Sat, 21 Nov 2015 21:45:32 GMT
ETag: "3198-52513e9576cb3"
X-Clacks-Overhead: GNU Terry Pratchett
Cache-Control: public, max-age=2592000
Content-Type: application/x-debian-package
Via: 1.1 varnish
Fastly-Debug-Digest: a7a397f25da6e39528fe6c743cb1b16e7179040331d52dc5484c57de07be8412
Content-Length: 12696
Accept-Ranges: bytes
Date: Wed, 05 Jul 2017 14:54:23 GMT
Via: 1.1 varnish
Age: 3051696
Connection: keep-alive
X-Served-By: cache-ams4141-AMS, cache-hhn1521-HHN
X-Cache: HIT, HIT
X-Cache-Hits: 2, 1
X-Timer: S1499266463.307398,VS0,VE1

Get:25 http://packages.devuan.org/merged ascii/main amd64 libalgorithm-merge-perl all 0.08-3 [12.7 kB]
Answer for: http://cdn-fastly.deb.debian.org/debian/pool/main/libf/libfile-fcntllock-perl/libfile-fcntllock-perl_0.22-3+b2_amd64.deb
HTTP/1.1 200 OK
Server: Apache
X-Content-Type-Options: nosniff
X-Frame-Options: sameorigin
Referrer-Policy: no-referrer
X-Xss-Protection: 1
Last-Modified: Sat, 24 Sep 2016 13:08:53 GMT
ETag: "8a10-53d4098bef97b"
X-Clacks-Overhead: GNU Terry Pratchett
Cache-Control: public, max-age=2592000
Content-Type: application/x-debian-package
Via: 1.1 varnish
Fastly-Debug-Digest: 3f5cfdc6f97f626d678c3107dbacff41f3482537a86de73283033d3962f427c3
Content-Length: 35344
Accept-Ranges: bytes
Date: Wed, 05 Jul 2017 14:54:23 GMT
Via: 1.1 varnish
Age: 1768368
Connection: keep-alive
X-Served-By: cache-ams4127-AMS, cache-hhn1521-HHN
X-Cache: HIT, HIT
X-Cache-Hits: 1, 25
X-Timer: S1499266463.307999,VS0,VE0

Get:26 http://packages.devuan.org/merged ascii/main amd64 libfile-fcntllock-perl amd64 0.22-3+b2 [35.3 kB]
Answer for: http://cdn-fastly.deb.debian.org/debian/pool/main/m/manpages/manpages-dev_4.10-2_all.deb
HTTP/1.1 200 OK
Server: Apache
X-Content-Type-Options: nosniff
X-Frame-Options: sameorigin
Referrer-Policy: no-referrer
X-Xss-Protection: 1
Last-Modified: Wed, 05 Apr 2017 19:13:56 GMT
ETag: "20b8f8-54c7031ac0c8e"
X-Clacks-Overhead: GNU Terry Pratchett
Cache-Control: public, max-age=2592000
Content-Type: application/x-debian-package
Via: 1.1 varnish
Fastly-Debug-Digest: 9c24b6eb6c30ce79d4955420e5a8d3c161666d32a4cedbb3f98a0641ea4baa24
Content-Length: 2144504
Accept-Ranges: bytes
Date: Wed, 05 Jul 2017 14:54:23 GMT
Via: 1.1 varnish
Age: 1336925
Connection: keep-alive
X-Served-By: cache-ams4140-AMS, cache-hhn1521-HHN
X-Cache: MISS, HIT
X-Cache-Hits: 0, 1
X-Timer: S1499266463.309321,VS0,VE3

Get:27 http://packages.devuan.org/merged ascii/main amd64 manpages-dev all 4.10-2 [2,145 kB]
Preconfiguring packages ...
Fetched 26.8 MB in 6s (4,397 kB/s)
dpkg: warning: downgrading libc6:amd64 from 2.24-12 to 2.24-11

Just a note here. Shouldn't these settings, from my /etc/apt/apt.conf:

...
InstallProgress::Fancy "off";
Binary::apt::DPkg::Progress-Fancy "off";
...

not show this progress:

(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 97077 files and directories currently installed.)
Preparing to unpack .../libc6_2.24-11_amd64.deb ...
Unpacking libc6:amd64 (2.24-11) over (2.24-12) ...
Setting up libc6:amd64 (2.24-11) ...
Selecting previously unselected package libc-dev-bin.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 97077 files and directories currently installed.)
Preparing to unpack .../00-libc-dev-bin_2.24-11_amd64.deb ...
Unpacking libc-dev-bin (2.24-11) ...
Selecting previously unselected package libc6-dev:amd64.
Preparing to unpack .../01-libc6-dev_2.24-11_amd64.deb ...
Unpacking libc6-dev:amd64 (2.24-11) ...
Selecting previously unselected package libcc1-0:amd64.
Preparing to unpack .../02-libcc1-0_6.3.0-18_amd64.deb ...
Unpacking libcc1-0:amd64 (6.3.0-18) ...
Selecting previously unselected package libitm1:amd64.
Preparing to unpack .../03-libitm1_6.3.0-18_amd64.deb ...
Unpacking libitm1:amd64 (6.3.0-18) ...
Selecting previously unselected package libasan3:amd64.
Preparing to unpack .../04-libasan3_6.3.0-18_amd64.deb ...
Unpacking libasan3:amd64 (6.3.0-18) ...
Selecting previously unselected package liblsan0:amd64.
Preparing to unpack .../05-liblsan0_6.3.0-18_amd64.deb ...
Unpacking liblsan0:amd64 (6.3.0-18) ...
Selecting previously unselected package libtsan0:amd64.
Preparing to unpack .../06-libtsan0_6.3.0-18_amd64.deb ...
Unpacking libtsan0:amd64 (6.3.0-18) ...
Selecting previously unselected package libubsan0:amd64.
Preparing to unpack .../07-libubsan0_6.3.0-18_amd64.deb ...
Unpacking libubsan0:amd64 (6.3.0-18) ...
Selecting previously unselected package libcilkrts5:amd64.
Preparing to unpack .../08-libcilkrts5_6.3.0-18_amd64.deb ...
Unpacking libcilkrts5:amd64 (6.3.0-18) ...
Selecting previously unselected package libmpx2:amd64.
Preparing to unpack .../09-libmpx2_6.3.0-18_amd64.deb ...
Unpacking libmpx2:amd64 (6.3.0-18) ...
Selecting previously unselected package libgcc-6-dev:amd64.
Preparing to unpack .../10-libgcc-6-dev_6.3.0-18_amd64.deb ...
Unpacking libgcc-6-dev:amd64 (6.3.0-18) ...
Selecting previously unselected package gcc-6.
Preparing to unpack .../11-gcc-6_6.3.0-18_amd64.deb ...
Unpacking gcc-6 (6.3.0-18) ...
Selecting previously unselected package gcc.
Preparing to unpack .../12-gcc_4%3a6.3.0-4_amd64.deb ...
Unpacking gcc (4:6.3.0-4) ...
Selecting previously unselected package libstdc++-6-dev:amd64.
Preparing to unpack .../13-libstdc++-6-dev_6.3.0-18_amd64.deb ...
Unpacking libstdc++-6-dev:amd64 (6.3.0-18) ...
Selecting previously unselected package g++-6.
Preparing to unpack .../14-g++-6_6.3.0-18_amd64.deb ...
Unpacking g++-6 (6.3.0-18) ...
Selecting previously unselected package g++.
Preparing to unpack .../15-g++_4%3a6.3.0-4_amd64.deb ...
Unpacking g++ (4:6.3.0-4) ...
Selecting previously unselected package make.
Preparing to unpack .../16-make_4.1-9.1_amd64.deb ...
Unpacking make (4.1-9.1) ...
Selecting previously unselected package libdpkg-perl.
Preparing to unpack .../17-libdpkg-perl_1.18.24_all.deb ...
Unpacking libdpkg-perl (1.18.24) ...
Selecting previously unselected package dpkg-dev.
Preparing to unpack .../18-dpkg-dev_1.18.24_all.deb ...
Unpacking dpkg-dev (1.18.24) ...
Selecting previously unselected package build-essential.
Preparing to unpack .../19-build-essential_12.3_amd64.deb ...
Unpacking build-essential (12.3) ...
Selecting previously unselected package libfakeroot:amd64.
Preparing to unpack .../20-libfakeroot_1.21-3.1_amd64.deb ...
Unpacking libfakeroot:amd64 (1.21-3.1) ...
Selecting previously unselected package fakeroot.
Preparing to unpack .../21-fakeroot_1.21-3.1_amd64.deb ...
Unpacking fakeroot (1.21-3.1) ...
Selecting previously unselected package libalgorithm-diff-perl.
Preparing to unpack .../22-libalgorithm-diff-perl_1.19.03-1_all.deb ...
Unpacking libalgorithm-diff-perl (1.19.03-1) ...
Selecting previously unselected package libalgorithm-diff-xs-perl.
Preparing to unpack .../23-libalgorithm-diff-xs-perl_0.04-4+b2_amd64.deb ...
Unpacking libalgorithm-diff-xs-perl (0.04-4+b2) ...
Selecting previously unselected package libalgorithm-merge-perl.
Preparing to unpack .../24-libalgorithm-merge-perl_0.08-3_all.deb ...
Unpacking libalgorithm-merge-perl (0.08-3) ...
Selecting previously unselected package libfile-fcntllock-perl.
Preparing to unpack .../25-libfile-fcntllock-perl_0.22-3+b2_amd64.deb ...
Unpacking libfile-fcntllock-perl (0.22-3+b2) ...
Selecting previously unselected package manpages-dev.
Preparing to unpack .../26-manpages-dev_4.10-2_all.deb ...
Unpacking manpages-dev (4.10-2) ...
Setting up libcc1-0:amd64 (6.3.0-18) ...
Setting up make (4.1-9.1) ...
Setting up libasan3:amd64 (6.3.0-18) ...
Setting up libcilkrts5:amd64 (6.3.0-18) ...
Setting up libubsan0:amd64 (6.3.0-18) ...
Setting up libtsan0:amd64 (6.3.0-18) ...
Setting up libdpkg-perl (1.18.24) ...
Setting up liblsan0:amd64 (6.3.0-18) ...
Setting up libfile-fcntllock-perl (0.22-3+b2) ...
Setting up libmpx2:amd64 (6.3.0-18) ...
Setting up dpkg-dev (1.18.24) ...
Processing triggers for libc-bin (2.24-12) ...
Setting up libfakeroot:amd64 (1.21-3.1) ...
Setting up libalgorithm-diff-perl (1.19.03-1) ...
Processing triggers for man-db (2.7.6.1-2) ...
Setting up libc-dev-bin (2.24-11) ...
Setting up manpages-dev (4.10-2) ...
Setting up libc6-dev:amd64 (2.24-11) ...
Setting up libitm1:amd64 (6.3.0-18) ...
Setting up libgcc-6-dev:amd64 (6.3.0-18) ...
Setting up libstdc++-6-dev:amd64 (6.3.0-18) ...
Setting up fakeroot (1.21-3.1) ...
update-alternatives: using /usr/bin/fakeroot-sysv to provide /usr/bin/fakeroot (fakeroot) in auto mode
Setting up gcc-6 (6.3.0-18) ...
Setting up g++-6 (6.3.0-18) ...
Setting up libalgorithm-merge-perl (0.08-3) ...
Setting up libalgorithm-diff-xs-perl (0.04-4+b2) ...
Setting up gcc (4:6.3.0-4) ...
Setting up g++ (4:6.3.0-4) ...
update-alternatives: using /usr/bin/g++ to provide /usr/bin/c++ (c++) in auto mode
Setting up build-essential (12.3) ...
Processing triggers for libc-bin (2.24-12) ...
2017/07/05 14:55:04 Reading config from: /etc/paxrat/paxrat.conf

#

But the main thing is only now coming. I'll update now the system, and that will probably rid me of the remaining issues similar to this one that scared me for more than half a day...

Last edited by miroR (2017-07-08 21:05:48)


Devs/testers/users of FOSS, what might be ahead for GNU/Linux after we lost PaX Team and spender? spender wrote:
https://forums.grsecurity.net/viewtopic … 699#p17127
Google made the choice to engage in underhanded competition against us with our own code...
grsecurity ripoff by Google, w/ Linus approval https://lists.dyne.org/lurker/message/2 … 4b.en.html

Offline

#4 2017-07-05 17:42:31

miroR
Member
From: Zagreb, Croatia
Registered: 2016-11-30
Posts: 217  
Website

Re: Broken packages in Ascii, how to fix? (Beware of Debian Stretch)

And the third post (prepared ahead) could not be posted with my Lynx


Devs/testers/users of FOSS, what might be ahead for GNU/Linux after we lost PaX Team and spender? spender wrote:
https://forums.grsecurity.net/viewtopic … 699#p17127
Google made the choice to engage in underhanded competition against us with our own code...
grsecurity ripoff by Google, w/ Linus approval https://lists.dyne.org/lurker/message/2 … 4b.en.html

Offline

#5 2017-07-05 17:44:12

miroR
Member
From: Zagreb, Croatia
Registered: 2016-11-30
Posts: 217  
Website

Re: Broken packages in Ascii, how to fix? (Beware of Debian Stretch)

For three days this post was only posted in part.
Now is complete, as written three days ago, at the time of opening this post. Namely I can (maybe temporarily) use Palemoon again.
---
Did I say I was betting on succeeding. I should have...

Well almost all did go fine. Just one error, but which might be critical.

Shortened log. I have it all for eventual later debugging, if it should be needed.

First I ran:
# apt-get update

Then, just as the advice (see the second, I think, post above, the link to "AMPROLLA GLITCH..." --at the time of posting not there, some glitch with Lynx, but it is extant--) goes:
# apt-get dist-upgrade

Reading package lists...
Building dependency tree...
Reading state information...
Calculating upgrade...Starting pkgProblemResolver with broken count: 0
Starting 2 pkgProblemResolver with broken count: 0
Done

The following packages were automatically installed and are no longer required:
  clearlooks-phenix-purpy-theme dmz-cursor-theme fakeroot
  libalgorithm-diff-perl libalgorithm-diff-xs-perl libalgorithm-merge-perl
  libfakeroot libfile-fcntllock-perl manpages-dev mate-icon-theme
Use 'apt autoremove' to remove them.
The following packages will be upgraded:
  libssl1.0.0
The following packages will be DOWNGRADED:
  aptitude-common base-files bsdutils desktop-base dirmngr git git-doc git-man
  gitk gnupg gnupg-agent gnupg2 gpgv gtk-update-icon-cache init
  init-system-helpers initscripts kmod libatomic1 libblkid1 libc-ares2
  libc-bin libc-l10n libcolord2 libdirectfb-1.2-9 libexpat1 libfdisk1
  libfftw3-double3 libfftw3-single3 libgcc1 libgcrypt20 libgme0
  libgnutls-openssl27 libgnutls30 libgomp1 libgtk-3-0 libgtk-3-bin
  libgtk-3-common libio-socket-ssl-perl libkmod2 liblogging-stdlog0 libmount1
  libmpg123-0 libmwaw-0.3-3 libnewt0.52 libnghttp2-14 libnspr4 libnss3
  libp11-kit0 libpcsclite1 libpng16-16 libproxy1v5 libpsl5 libpython3.5
  libpython3.5-minimal libpython3.5-stdlib libquadmath0 libservlet3.1-java
  libsmartcols1 libsnappy1v5 libssh2-1 libstdc++6 libtasn1-6 libusb-0.1-4
  libuuid1 libv4l-0 libv4lconvert0 libwacom-common libwacom2 libwavpack1
  libwps-0.4-4 locales lsb-base mount multiarch-support mutt
  netcat-traditional openssh-client postfix postfix-doc postfix-sqlite psmisc
  python-six python3-six python3.5 python3.5-minimal rsync sudo sysv-rc
  sysvinit-core sysvinit-utils task-english tasksel tasksel-data util-linux
  util-linux-locales wamerican wget whiptail whois xserver-common
  xserver-xorg-core xserver-xorg-video-qxl
1 upgraded, 0 newly installed, 103 downgraded, 0 to remove and 0 not upgraded.
Need to get 48.2 MB/60.0 MB of archives.
After this operation, 2,124 kB disk space will be freed.
Do you want to continue? [Y/n] GET /merged/pool/DEBIAN/main/o/openssl/libssl1.0.0_1.0.2l-1%7ebpo8%2b1_amd64.deb HTTP/1.1
Host: auto.mirror.devuan.org
User-Agent: Debian APT-HTTP/1.3 (1.4.6)

...[some 5000 lines cut here ]...

Get:90 http://packages.devuan.org/merged ascii/main amd64 xserver-xorg-video-qxl amd64 0.1.4+20161126git4d7160c-1 [142 kB]
Answer for: http://cdn-fastly.deb.debian.org/debian/pool/main/c/c-ares/libc-ares2_1.12.0-1_amd64.deb
HTTP/1.1 200 OK
Server: Apache
X-Content-Type-Options: nosniff
X-Frame-Options: sameorigin
Referrer-Policy: no-referrer
X-Xss-Protection: 1
Last-Modified: Thu, 29 Sep 2016 16:48:30 GMT
ETag: "13e5c-53da83f5ef8b6"
X-Clacks-Overhead: GNU Terry Pratchett
Cache-Control: public, max-age=2592000
Content-Type: application/x-debian-package
Via: 1.1 varnish
Fastly-Debug-Digest: 2f5c342ee891f0c98720af0499fe8373a56feaf6fab6bb5d90938a65eaa125f4
Content-Length: 81500
Accept-Ranges: bytes
Date: Wed, 05 Jul 2017 16:39:55 GMT
Via: 1.1 varnish
Age: 1960924
Connection: keep-alive
X-Served-By: cache-ams4126-AMS, cache-hhn1531-HHN
X-Cache: HIT, HIT
X-Cache-Hits: 2, 1
X-Timer: S1499272795.237367,VS0,VE1

Get:91 http://packages.devuan.org/merged ascii/main amd64 libc-ares2 amd64 1.12.0-1 [81.5 kB]
Answer for: http://cdn-fastly.deb.debian.org/debian/pool/main/s/snappy/libsnappy1v5_1.1.3-3_amd64.deb
HTTP/1.1 200 OK
Server: Apache
X-Content-Type-Options: nosniff
X-Frame-Options: sameorigin
Referrer-Policy: no-referrer
X-Xss-Protection: 1
Last-Modified: Sat, 19 Mar 2016 13:51:44 GMT
ETag: "c754-52e6729f6eee1"
X-Clacks-Overhead: GNU Terry Pratchett
Cache-Control: public, max-age=2592000
Content-Type: application/x-debian-package
Via: 1.1 varnish
Fastly-Debug-Digest: 946173f774b256b60dd11475817c7ddbd1ebe26bfe5f5320f0e0b1a8e22f1dc9
Content-Length: 51028
Accept-Ranges: bytes
Date: Wed, 05 Jul 2017 16:39:55 GMT
Via: 1.1 varnish
Age: 1758938
Connection: keep-alive
X-Served-By: cache-ams4148-AMS, cache-hhn1531-HHN
X-Cache: HIT, HIT
X-Cache-Hits: 2, 1
X-Timer: S1499272795.238040,VS0,VE0

Get:92 http://packages.devuan.org/merged ascii/main amd64 libsnappy1v5 amd64 1.1.3-3 [51.0 kB]
apt-listchanges: Reading changelogs...
Extracting templates from packages: 28%Extracting templates from packages: 57%Extracting templates from packages: 86%Extracting templates from packages: 100%
Preconfiguring packages ...
Fetched 48.2 MB in 9s (4,821 kB/s)
dpkg: warning: downgrading base-files from 9.9 to 9.2+devuan7
...
Preparing to unpack .../base-files_9.2+devuan7_amd64.deb ...
Unpacking base-files (9.2+devuan7) over (9.9) ...
dpkg: warning: unable to delete old directory '/etc/update-motd.d': Directory not empty
Setting up base-files (9.2+devuan7) ...
Installing new version of config file /etc/devuan_version ...
Installing new version of config file /etc/issue ...
Installing new version of config file /etc/issue.net ...
dpkg: warning: downgrading bsdutils from 1:2.29.2-1 to 1:2.28-1+devuan3
...
Preparing to unpack .../bsdutils_1%3a2.28-1+devuan3_amd64.deb ...
Unpacking bsdutils (1:2.28-1+devuan3) over (1:2.29.2-1) ...
Setting up bsdutils (1:2.28-1+devuan3) ...

...[153 lines cut here]...

Preparing to unpack .../libstdc++6_6.3.0-18_amd64.deb ...
Unpacking libstdc++6:amd64 (6.3.0-18) over (7.1.0-7) ...
Setting up libstdc++6:amd64 (6.3.0-18) ...
dpkg: warning: downgrading libgnutls-openssl27:amd64 from 3.5.8-6 to 3.5.8-5
...
Preparing to unpack .../00-libgnutls-openssl27_3.5.8-5_amd64.deb ...
Unpacking libgnutls-openssl27:amd64 (3.5.8-5) over (3.5.8-6) ...
dpkg: warning: downgrading libp11-kit0:amd64 from 0.23.3-5 to 0.23.3-2
Preparing to unpack .../01-libp11-kit0_0.23.3-2_amd64.deb ...
Unpacking libp11-kit0:amd64 (0.23.3-2) over (0.23.3-5) ...
dpkg: warning: downgrading libtasn1-6:amd64 from 4.12-2 to 4.10-1.1
Preparing to unpack .../02-libtasn1-6_4.10-1.1_amd64.deb ...
Unpacking libtasn1-6:amd64 (4.10-1.1) over (4.12-2) ...
dpkg: warning: downgrading libgnutls30:amd64 from 3.5.8-6 to 3.5.8-5
Preparing to unpack .../03-libgnutls30_3.5.8-5_amd64.deb ...
Unpacking libgnutls30:amd64 (3.5.8-5) over (3.5.8-6) ...
dpkg: warning: downgrading gnupg2 from 2.1.18-8 to 2.1.18-6
Preparing to unpack .../04-gnupg2_2.1.18-6_all.deb ...
Unpacking gnupg2 (2.1.18-6) over (2.1.18-8) ...
dpkg: warning: downgrading gnupg from 2.1.18-8 to 2.1.18-6
Preparing to unpack .../05-gnupg_2.1.18-6_amd64.deb ...
Unpacking gnupg (2.1.18-6) over (2.1.18-8) ...
dpkg: warning: downgrading dirmngr from 2.1.18-8 to 2.1.18-6
Preparing to unpack .../06-dirmngr_2.1.18-6_amd64.deb ...
Unpacking dirmngr (2.1.18-6) over (2.1.18-8) ...
dpkg: warning: downgrading gnupg-agent from 2.1.18-8 to 2.1.18-6
Preparing to unpack .../07-gnupg-agent_2.1.18-6_amd64.deb ...
Unpacking gnupg-agent (2.1.18-6) over (2.1.18-8) ...

...[220 lines cut here]...

Setting up desktop-base (1:0.99) ...
update-alternatives: using /usr/share/images/desktop-base/your-way_purpy-narrow-large.png to provide /usr/share/images/desktop-base/desktop-background (desktop-background) in auto mode
update-alternatives: using /usr/share/images/desktop-base/your-way_purpy-narrow-large.svg to provide /usr/share/images/desktop-base/desktop-background (desktop-background) in auto mode
update-alternatives: using /usr/share/images/desktop-base/purpy.xml to provide /usr/share/images/desktop-base/desktop-background.xml (desktop-background.xml) in auto mode
update-alternatives: using /usr/share/images/desktop-base/your-way_purpy-narrow-large.png to provide /usr/share/images/desktop-base/desktop-splash (desktop-splash) in auto mode
update-alternatives: using /usr/share/images/desktop-base/your-way_purpy-narrow-large.svg to provide /usr/share/images/desktop-base/desktop-splash (desktop-splash) in auto mode
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-4.9.27-unofficial+grsec170512-22
Found initrd image: /boot/initrd.img-4.9.27-unofficial+grsec170512-22
Found linux image: /boot/vmlinuz-4.9.0-3-amd64
Found initrd image: /boot/initrd.img-4.9.0-3-amd64
done
update-initramfs: deferring update (trigger activated)
Setting up sysv-rc (2.88dsf-59.3+devuan2) ...
Setting up libfftw3-single3:amd64 (3.3.5-3) ...
Processing triggers for man-db (2.7.6.1-2) ...
Setting up util-linux-locales (2.28-1+devuan3) ...
Setting up libwps-0.4-4:amd64 (0.4.5-1) ...
Setting up libgme0:amd64 (0.6.0-4) ...
Setting up libcolord2:amd64 (1.2.1-1+devuan1) ...
Setting up wamerican (7.1-1) ...
Setting up libnewt0.52:amd64 (0.52.19-1+b1) ...
Setting up gnupg-agent (2.1.18-6) ...
Setting up postfix-sqlite (3.1.4-7) ...
Adding sqlite map entry to /etc/postfix/dynamicmaps.cf

Here's a section with the error:

Setting up initscripts (2.88dsf-59.3+devuan2) ...
Installing new version of config file /etc/init.d/umountfs ...
Installing new version of config file /etc/init.d/umountroot ...
Installing new version of config file /etc/default/rcS ...
Installing new version of config file /etc/default/tmpfs ...
/var/lib/dpkg/info/initscripts.postinst: 8: .: Can't open /lib/init/vars.sh
dpkg: error processing package initscripts (--configure):
 subprocess installed post-installation script returned error exit status 2
Setting up openssh-client (1:7.1p2-2+devuan1) ...
Installing new version of config file /etc/ssh/moduli ...
Installing new version of config file /etc/ssh/ssh_config ...
Setting up libmpg123-0:amd64 (1.23.8-1+b1) ...
Processing triggers for hicolor-icon-theme (0.15-1) ...
Setting up libc-ares2:amd64 (1.12.0-1) ...
Setting up libusb-0.1-4:amd64 (2:0.1.12-30) ...
Setting up locales (2.24-11) ...
Generating locales (this might take a while)...
  en_GB.UTF-8... done
Generation complete.
Setting up git (1:2.11.0-3) ...
Setting up postfix (3.1.4-7) ...
Installing new version of config file /etc/postfix/makedefs.out ...
[....] Starting Postfix Mail Transport Agent: postfix [...]

Postfix (main.cf) configuration was untouched.  If you need to make changes, 
edit /etc/postfix/main.cf (and others) as needed.  To view Postfix 
configuration values, see postconf(1).

After modifying main.cf, be sure to run 'service postfix reload'.

Running newaliases
[....] Stopping Postfix Mail Transport Agent: postfix [...]
[....] Starting Postfix Mail Transport Agent: postfix [...]
Setting up libpython3.5-minimal:amd64 (3.5.3-1) ...
Setting up git-doc (1:2.11.0-3) ...
Setting up kmod (23-2) ...
Setting up xserver-xorg-video-qxl (0.1.4+20161126git4d7160c-1) ...
Setting up sudo (1.8.19p1-2.1) ...
Setting up libv4l-0:amd64 (1.12.3-1) ...
Setting up libpython3.5-stdlib:amd64 (3.5.3-1) ...
Setting up whiptail (0.52.19-1+b1) ...
Setting up gnupg (2.1.18-6) ...
Setting up libgnutls30:amd64 (3.5.8-5) ...
Setting up libnss3:amd64 (2:3.26.2-1.1) ...
Setting up gitk (1:2.11.0-3) ...
Setting up libgtk-3-0:amd64 (3.22.11-1) ...

Here's another section with the same error:

dpkg: dependency problems prevent configuration of sysvinit-core:
 sysvinit-core depends on initscripts (>= 2.88dsf-13.3); however:
  Package initscripts is not configured yet.

dpkg: error processing package sysvinit-core (--configure):
 dependency problems - leaving unconfigured
Setting up python3.5-minimal (3.5.3-1) ...
Setting up gnupg2 (2.1.18-6) ...
Setting up libgtk-3-bin (3.22.11-1) ...
Setting up libgnutls-openssl27:amd64 (3.5.8-5) ...
Setting up wget (1.18-5) ...
Setting up dirmngr (2.1.18-6) ...
Setting up mutt (1.7.2-1) ...
Setting up python3.5 (3.5.3-1) ...
Setting up libpython3.5:amd64 (3.5.3-1) ...
dpkg: dependency problems prevent configuration of init:
 init depends on sysvinit-core | upstart; however:
  Package sysvinit-core is not configured yet.
  Package upstart is not installed.

dpkg: error processing package init (--configure):
 dependency problems - leaving unconfigured
Setting up tasksel-data (3.33+devuan0.3) ...
Setting up tasksel (3.33+devuan0.3) ...
Setting up task-english (3.33+devuan0.3) ...
Processing triggers for libc-bin (2.24-11) ...
Processing triggers for initramfs-tools (0.130) ...
update-initramfs: Generating /boot/initrd.img-4.9.27-unofficial+grsec170512-22
Processing triggers for menu (2.1.47+b1) ...
Errors were encountered while processing:
 initscripts
 sysvinit-core
 init
2017/07/05 16:43:14 Reading config from: /etc/paxrat/paxrat.conf
E: Sub-process /usr/bin/dpkg returned an error code (1)

#
Potentially, this makes for a system that won't boot, no?

So, more hard thinking, and studying... Any advice welcome.

BTW, I've taken snapshots of /var/cache/ and  /var/lib/apt/, but I'm not updating my Air-Gapped with those! Not till I figure out the severity of this issue here!

But the /etc/apt/preferences.d/ascii-pin I have removed.

Any advice welcome!

Last edited by miroR (2017-07-08 21:22:51)


Devs/testers/users of FOSS, what might be ahead for GNU/Linux after we lost PaX Team and spender? spender wrote:
https://forums.grsecurity.net/viewtopic … 699#p17127
Google made the choice to engage in underhanded competition against us with our own code...
grsecurity ripoff by Google, w/ Linus approval https://lists.dyne.org/lurker/message/2 … 4b.en.html

Offline

#6 2017-07-07 20:58:15

miroR
Member
From: Zagreb, Croatia
Registered: 2016-11-30
Posts: 217  
Website

Re: Broken packages in Ascii, how to fix? (Beware of Debian Stretch)

The issues in this thread seem to be all solved, but I'll let the verification phase last some more...

Pls. study the thread on Devuan DNG ML, for details:

  Linkname: [DNG] Broken packages in Ascii, how to fix? (Beware of Debian Stretch) WAS: devuan packages explorer
        URL: https://lists.dyne.org/lurker/message/2 … b1.en.html


Devs/testers/users of FOSS, what might be ahead for GNU/Linux after we lost PaX Team and spender? spender wrote:
https://forums.grsecurity.net/viewtopic … 699#p17127
Google made the choice to engage in underhanded competition against us with our own code...
grsecurity ripoff by Google, w/ Linus approval https://lists.dyne.org/lurker/message/2 … 4b.en.html

Offline

#7 2017-07-07 21:02:04

miroR
Member
From: Zagreb, Croatia
Registered: 2016-11-30
Posts: 217  
Website

Re: Broken packages in Ascii, how to fix? (Beware of Debian Stretch)

Including:

   Linkname: [DNG] error processing package initscripts, because /lib/init/vars.sh missing
        URL: https://lists.dyne.org/lurker/message/2 … d8.en.html

(the eventual solution and faultless --but for an unavoidable snag-- update there!)
YMMV


Devs/testers/users of FOSS, what might be ahead for GNU/Linux after we lost PaX Team and spender? spender wrote:
https://forums.grsecurity.net/viewtopic … 699#p17127
Google made the choice to engage in underhanded competition against us with our own code...
grsecurity ripoff by Google, w/ Linus approval https://lists.dyne.org/lurker/message/2 … 4b.en.html

Offline

#8 2017-07-07 21:03:14

miroR
Member
From: Zagreb, Croatia
Registered: 2016-11-30
Posts: 217  
Website

Re: Broken packages in Ascii, how to fix? (Beware of Debian Stretch)

I meant upgrade, dist-upgrade ...


Devs/testers/users of FOSS, what might be ahead for GNU/Linux after we lost PaX Team and spender? spender wrote:
https://forums.grsecurity.net/viewtopic … 699#p17127
Google made the choice to engage in underhanded competition against us with our own code...
grsecurity ripoff by Google, w/ Linus approval https://lists.dyne.org/lurker/message/2 … 4b.en.html

Offline

#9 2017-07-08 20:43:57

greenjeans
Member
Registered: 2017-04-07
Posts: 426  
Website

Re: Broken packages in Ascii, how to fix? (Beware of Debian Stretch)

I think you just like saying "Air-Gapped".

wink


https://sourceforge.net/projects/vuu-do/
Vuu-do GNU/Linux, minimal 64 and 32 bit Devuan-based openbox and mate systems to build on, maximal versions if you prefer your linux fully-loaded.

Please donate to support Devuan and init freedom! https://devuan.org/os/donate

Offline

#10 2017-07-08 21:13:41

miroR
Member
From: Zagreb, Croatia
Registered: 2016-11-30
Posts: 217  
Website

Re: Broken packages in Ascii, how to fix? (Beware of Debian Stretch)

If anybody feels like checking up if the logs are genuine (the missing ones in second, third and fifth posts I have now posted), because I was without a GUI-browser I can trust (Palemoon), and I've not mastered Lynx sufficiently well, or there are issues btwn Lynx and FluxBB or some such, they're welcome.

But baseless claims of invalidity or that they be any other lighthearted or other kind of denying my Air-Gapped/cloning methods, thanks a lot, not interested in discussing.

I like better enjoying Devuan, and enjoying being safe and secure using Devuan, which my methods are valid for.

Last edited by miroR (2017-07-08 21:26:12)


Devs/testers/users of FOSS, what might be ahead for GNU/Linux after we lost PaX Team and spender? spender wrote:
https://forums.grsecurity.net/viewtopic … 699#p17127
Google made the choice to engage in underhanded competition against us with our own code...
grsecurity ripoff by Google, w/ Linus approval https://lists.dyne.org/lurker/message/2 … 4b.en.html

Offline

Board footer